WSMOUSED(8)

NAME
wsmoused - wsmouse daemon

SYNOPSIS
wsmoused [-2dfi] [-C thresh] [-D device] [ -M N=M] [-p device] [-t type]

DESCRIPTION
wsmoused listens for mouse events on the specified device and communicates them to the wscons(4) driver. Its purpose is to provide copy/paste functionality on the console. It does not happily coexist with the X Window System though, so it has to be killed before starting the X Window System.

By default, the left mouse button is used to select text (in the familiar click-and-drag fashion); the right button is used to extend the selection; and the middle button pastes. This behavior can be modified through the use of -M, e.g. -M 2=3 maps the right mouse button to paste.

The options are as follows:

-2  Indicate that the mouse has two buttons. In that case, the right button pastes.

-C thresh
    Set double click speed as the maximum interval in msec between button clicks. If omitted, the default value of 500 msec will be assumed. This option will have effect only on the cut and paste operations in the text mode console.

-D device
    Use device as the display control device. If omitted, wsmoused will use the default value of /dev/ttyCcfg, which controls the wsdisplay0 display terminals.

-d  Enable debugging messages.

-f  Do not become a daemon and instead run as a foreground process. Useful for testing and debugging.

-i  Print the type and the protocol of the mouse and exit.

-M N=M
    Assign the physical button M to the logical button N. You may specify as many instances of this option as you like. More than one physical button may be assigned to a logical button at the same time. In this case the logical button will be down, if either of the assigned physical buttons is held down. Do not put space around ‘=’. Button numbers start from one, assigned to the leftmost button.

-p device
    Use device to communicate with the mouse. If this option is not present, the device opened is /dev/wsmouse (the multiplexer device that receives all mouse events from all wsmouse compatible mice on the system). For a serial mouse, you have to explicitly specify the serial port, i.e. device must be one of /dev/cua0[0-3].

-t type
    This option only applies to serial mice. It specifies the protocol used by the serial mice. You may explicitly specify a type listed below or use auto to let wsmoused automatically select an appropriate protocol for the given mouse, if the serial mouse respects the PnP COM specification.

    If this option is not specified, auto is assumed. Under normal circumstances, you need to use this option only if the mouse is not PnP compatible.

    Valid protocol types for this option are the following:

    microsoft
        Microsoft serial mouse protocol. Most 2-button serial mice use this protocol.

    intellimouse
        Microsoft IntelliMouse protocol. Genius NetMouse, ASCII Mie Mouse, Logitech MouseMan+, and FirstMouse+ use this protocol as well. Other mice with a roller/wheel may be compatible with this protocol.

    mousesystems
        MouseSystems 5-byte protocol. 3-button mice may use this protocol.

    mmseries
        MM Series mouse protocol.

    logitech
        Logitech mouse protocol. Note that this is for old Logitech models. mouseman or intellimouse should be specified for newer models.

    mouseman
        Logitech MouseMan and TrackMan protocol. Some 3-button mice may be compatible with this protocol. Note that MouseMan+ and FirstMouse+ use intellimouse protocol rather than this one.

    glidepoint
        ALPS GlidePoint protocol.

    thinkingmouse
        Kensington ThinkingMouse protocol.

    mmhitab
        Hitachi tablet protocol.

EXAMPLES
To start wsmoused on the wsdisplay1 display terminals, using a two-button serial mouse connected to /dev/cua0:

    # wsmoused -2 -D /dev/ttyDcfg -p /dev/cua0

To start wsmoused on the wsdisplay0 display terminals, using /dev/wsmouse with the left and right buttons swapped (assuming a three button mouse):

    # wsmoused -M 1=3 -M 3=1

SEE ALSO
wscons(4), wsmouse(4)

HISTORY
The wsmoused daemon is a slightly modified version of the moused daemon from the FreeBSD project, written by Michael Smith <msmith@FreeBSD.org>. Both inherit code from the XFree Project.